#include<iostream.h>
#include<conio.h>
#include<math.h>
#include<string.h>

void main(){
	char nom[30], ced[10];
	float fact, desc=0, recar=0, total=0;
	int dia;

	clrscr();
	cout<<"-----------------------------------------------------------\n";
	cout<<"----------------------Banco Nacional-----------------------\n";
	cout<<"----------------Seccion COBROS FINANCIEROS-----------------\n";
	cout<<"-----------------------------------------------------------\n\n";

	cout <<"Digite su nombre, sin dejar espacios en blanco(use [_]): "; 
	cin >>nom;
	cout <<"Digite el numero de su cedula : "; 
	cin >>ced;
	cout <<"Digite el valor de la factura : "; 
	cin >>fact;
	cout <<"Digite el dia de pago de la factura : "; 
	cin >>dia;


	if (dia<0 || dia>31){
		cout<<"\nEl rango de los dias es entre (1-31) maximo; corrija.";
	}
	else{
		if(dia>=1 && dia<=10){
			desc=(fact*3)/100;
			if(desc>20000)
				desc=20000;
			else
				total=fact-desc;
			cout<<"\nCANCELADO ANTICIPADAMENTE.\n";
		}
		else{
			if(dia>=11 && dia<=20){
				total=fact;
				cout<<"\nCANCELADO AL DIA.\n";
			}
			else{
				recar=(fact*0.035)+5000;
				total=fact+recar;
				cout<<"\nCANCELADO TARDIAMENTE.\n";
			}
		}
	}
	cout <<"\n"<<nom<<" ced: " <<ced;
	cout <<"\nValor factura : " <<fact;
	cout <<"\nDescuentos : " <<desc <<" ,Recargos : " <<recar;
	cout <<"\nTotal : " <<total <<"\n";

	getch();
}